from .__base import project_settings, import_class

psdb = project_settings.get('DATABASE', {})

BaseDBModel = import_class(psdb.get('MODEL', 'users.utils.db.BaseDBModel'))
ObjectManager = import_class(psdb.get('OBJECT_MANAGER', 'users.utils.db.SoftDeleteManager'))
Sender = import_class(psdb.get('SENDER', 'users.utils.senders.Sender'))
VerificationCodeGenerator = import_class(
    psdb.get('VERIFICATION_CODE_GENERATOR', 'users.utils.db.RandomCodeGenerator'))
verification_code_lifetime = psdb.get('VERIFICATION_CODE_LIFETIME', 3)
